import { e as c } from "./custom-element-eaccb8d2.mjs";
import { P as i, n as v } from "./plus-base-1920dd44.mjs";
import { n as f } from "./static-be5c3b1c.mjs";
var u = Object.defineProperty, m = Object.getOwnPropertyDescriptor, a = (p, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, o = p.length - 1, l; o >= 0; o--)
    (l = p[o]) && (e = (r ? l(t, s, e) : l(e)) || e);
  return r && e && u(t, s, e), e;
};
let n = class extends i {
  constructor() {
    super(), this.active = !1, this.slot = "content";
  }
  render() {
    return f`
      <div class=${this.active ? "block" : "hidden"}>
        <slot></slot>
      </div>
    `;
  }
};
a([
  v({ type: Boolean, reflect: !0 })
], n.prototype, "active", 2);
n = a([
  c("plus-tab-panel")
], n);
export {
  n as TabPanelComponent
};
